# Properties

| Name                        | Type   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| --------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ConcurrentAccessRetries     | int    | This property specifies how many attempts are made to read or write to the floating license xml file before failing. If you expect over 100 concurrent users, you may want to increase this setting. The default is 5.                                                                                                                                                                                                                                                                                                       |
| EnableAutomaticRegistration | bool   | <p>When true, the QlmFloatingLicenseMgr class will check on a regular basis if the current node is still registered in the floating license database/xml.<br><br>If the current running node is no longer registered, it will be automatically re-registered.<br><br>In the event re-registration is not possible because all the licenses are consumed, a violation event will be triggered.</p>                                                                                                                            |
| SettingsFile                | string | <p>Set the full path of QLM settings files as generated by the Protect Your Application wizard.<br><br>This should typically be set from the constructor, however if the QlmFloatingLicenseMgr class is created via COM instead of C#, you can only invoke the default constructor so you must set this property or the QlmLicenseObject property right after creating the QlmFloatingLicenseMgr object.<br><br>Note that you sholud either set the QlmLicenseObject property or the SettingsFile property but not both.</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmfloatinglicensemgr/properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
